Enrich: Company API
Data type:
URL:
Company data
https://api.coresignal.com/cdapi/v2/company_multi_source/enrich?website={URL}
Overview
Find instructions for using the collection endpoint and collecting data.
Use the company enrichment endpoint to collect company data using websites or social media profile URLs as input.
Website URL
/v2/company_multi_source/enrich?website={URL}
Obtain company data using website URLs
Collection using websites
Examples in this article are prepared using Postman. However, you can use the most convenient tool for you: terminal, Postman, or any API-compatible application.
cURL (Postman)
Paste the website URL instead of {URL} and API Key instead of {API Key} in the request template:
curl -X 'GET' \
'https://api.coresignal.com/cdapi/v2/company_multi_source/enrich?website={URL}' \
-H 'accept: application/json' \
-H 'apikey: {API Key}'Here is an example of full collect and selected fields collection:
Bundles enrich
By default, an enrich request returns the full company data record. However, if you require only parts of the record, optionally, you can use the bundle query parameter. You can repeat bundle once for each bundle to combine several.
core_company_data
financial_information
growth_signals
workforce_intelligence
company_intelligence
The fields parameter narrows the results within the selection. If a field isn’t part of the selected bundles, the request returns a 400 error identifying the bundle that owns it.
Last updated
Was this helpful?